com.brightcove.ssai.event

## Class SSAIEvent

- java.lang.Object
- - com.brightcove.player.event.AbstractEvent<java.lang.Object>
  - - com.brightcove.player.event.Event
    - - com.brightcove.ssai.event.SSAIEvent

-     public class SSAIEvent
      extends Event

  An event class containing the `Event` property keys exclusively used in the SSAI plugin.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AD_DATA_URL` The URL used to fetch the ad metadata.
    `static java.lang.String` | `AD_POD` The `AdPod` property key
    `static java.lang.String` | `CREATIVE_CLICKS` Event propety containing the `CreativeClicks`.
    `static java.lang.String` | `EXECUTED` An integer property flag indicating that an event has been emitted (non zero).
    `static java.lang.String` | `IMPRESSION` The VAST or Once Unicorn Impression tracking property key.
    `static java.lang.String` | `SSAI_AD` The property key for the SSAI `Ad` value.
    `static java.lang.String` | `STITCHED_POSITION` The stitched position.
    `static java.lang.String` | `TRACKING_TYPE` The type of the tracking event.
    `static java.lang.String` | `VAST_AD` The VAST Ad property key.
    `static java.lang.String` | `VAST_COMPANION` The property key for the Companion data binding.
    `static java.lang.String` | `VAST_CREATIVES` The property key for the AdBreak Creative information, such as id, ad id, and duration.
    `static java.lang.String` | `VAST_LINEAR` The VAST Linear property key.
    `static java.lang.String` | `VAST_TRACKING` The VAST Tracking beacon property key.
    `static java.lang.String` | `VAST_VIDEO_CLICKS` The property key for the VAST VideoClicks data binding.
    `static java.lang.String` | `VMAP_AD_BREAK` The VMAP AdBreak property key.
    `static java.lang.String` | `VMAP_AD_SEGMENT` The VMAP AdSegment property key.
    `static java.lang.String` | `VMAP_ERRORS` The VMAP parsing and validation error messages property key.
    `static java.lang.String` | `VMAP_EVENT_MAP` The VMAP event map property key providing access to the list of events associated with a playhead position.
    `static java.lang.String` | `VMAP_RESPONSE` The VMAP response property key to Java data bindings.
    `static java.lang.String` | `VMAP_SEGMENT_INDEX` The VMAP segment index property key.
    `static java.lang.String` | `VMAP_TIMELINE` The VMAP timeline property key encapsulating segment and event suppport.

    - ### Fields inherited from class com.brightcove.player.event.Event

      `properties`

    - ### Fields inherited from class com.brightcove.player.event.AbstractEvent

      `ACTIVITY, AD_ID, AD_TITLE, ALIGNMENT, ANDROID_VIEW, AUDIO_TRACKS_STATE, AUDIO_VARIANT, BOOLEAN, BRIGHTCOVE_CONTROL_BAR, BRIGHTCOVE_MEDIA_CONTROLLER, BUILD_VERSION, CAPTION_FORMAT, CAPTION_URI, CAPTIONS_STATE, CATALOG_URL, CEA608_DOCUMENT, CEA708_DOCUMENT, CONFIGURATION, CUE_POINT, CUE_POINTS, CURRENT_VIDEO, DEBUG, EMITTER, END_TIME, END_TIME_LONG, ERROR, ERROR_CODE, ERROR_EXTRA, ERROR_MESSAGE, ERROR_SUBCODE, ERRORS, EVENT_SOURCE, FORWARD_BUFFER_SECONDS, FRAGMENT, FROM_SEEK_POSITION, FROM_SEEK_POSITION_LONG, GSC_MAX_CONCURRENCY_REACHED_MESSAGE, ID, INDEX, INSTANCE_STATE, isPrevented, isStopped, LANGUAGES, LEFT_VOLUME, LINE, LINE_ANCHOR, LINE_TYPE, LIST, LIVE_WINDOW_DURATION, LIVE_WINDOW_DURATION_LONG, LOCALE_CODE, MAX_POSITION, MAX_POSITION_LONG, MEASURED_BPS, MEDIA_BYTES_TRANSFERRED, MEDIA_CONTROLLER_CONFIG, MIN_POSITION, MIN_POSITION_LONG, NEXT_VIDEO, ORIGINAL_EVENT, ORIGINAL_PLAYHEAD_POSITION, ORIGINAL_PLAYHEAD_POSITION_LONG, ORIGINAL_SEEK_POSITION, ORIGINAL_SEEK_POSITION_LONG, PERCENT_COMPLETE, PICTURE_IN_PICTURE_STATE, PLAYBACK_LOCATION, PLAYHEAD_POSITION, PLAYHEAD_POSITION_LONG, PLAYLIST, PLUGIN_NAME, POSITION, POSITION_ANCHOR, PROGRESS_BAR_PLAYHEAD_POSITION, PROGRESS_BAR_PLAYHEAD_POSITION_LONG, PROJECTION_FORMAT, RENDITION_HEIGHT, RENDITION_INDICATED_BPS, RENDITION_MIME_TYPE, RENDITION_URL, RENDITION_WIDTH, REQUEST_TOKEN, REQUESTED_ORIENTATION, RESPONSE_TIME_MS, RESTORE_SEEK_POSITION, RESTORE_SEEK_POSITION_LONG, RIGHT_VOLUME, SEEK_CONTROLS_VISIBILITY, SEEK_DEFAULT, SEEK_DEFAULT_LONG, SEEK_ON_HOLD_UPDATE_FREQ, SEEK_ON_HOLD_WAIT_TIME, SEEK_PERCENTAGE, SEEK_POSITION, SEEK_POSITION_LONG, SEEK_PROGRESS, SEEK_PROGRESS_LONG, SEEK_RELATIVE_ENABLED, SEGMENT_DURATION, SELECTED_TRACK, SIZE, SKIP_CUE_POINTS, SOURCE, START_TIME, START_TIME_LONG, SUPPORT_FRAGMENT, TEXT, TRACKS, TTML_DOCUMENT, type, UUID, VALUE, VIDEO, VIDEO_DURATION, VIDEO_DURATION_LONG, VIDEO_HEIGHT, VIDEO_STILL, VIDEO_WIDTH, VOLUME, WEBVTT_DOCUMENT`

  - ### Method Summary

    - ### Methods inherited from class com.brightcove.player.event.Event

      `getProperties`

    - ### Methods inherited from class com.brightcove.player.event.AbstractEvent

      `getId, getIntegerProperty, getLongProperty, getNextId, getProperty, getProperty, getType, isPrevented, isStopped, preventDefault, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AD_POD

          public static final java.lang.String AD_POD

      The `AdPod` property key
      See Also:
        Constant Field Values

    - #### AD_DATA_URL

          public static final java.lang.String AD_DATA_URL

      The URL used to fetch the ad metadata.
      See Also:
        Constant Field Values

    - #### EXECUTED

          public static final java.lang.String EXECUTED

      An integer property flag indicating that an event has been emitted (non zero).
      See Also:
        Constant Field Values

    - #### VAST_AD

          public static final java.lang.String VAST_AD

      The VAST Ad property key.
      See Also:
        Constant Field Values

    - #### VAST_COMPANION

          public static final java.lang.String VAST_COMPANION

      The property key for the Companion data binding.
      See Also:
        Constant Field Values

    - #### VAST_CREATIVES

          public static final java.lang.String VAST_CREATIVES

      The property key for the AdBreak Creative information, such as id, ad id, and duration.
      See Also:
        Constant Field Values

    - #### IMPRESSION

          public static final java.lang.String IMPRESSION

      The VAST or Once Unicorn Impression tracking property key.
      See Also:
        Constant Field Values

    - #### VAST_LINEAR

          public static final java.lang.String VAST_LINEAR

      The VAST Linear property key.
      See Also:
        Constant Field Values

    - #### VAST_TRACKING

          public static final java.lang.String VAST_TRACKING

      The VAST Tracking beacon property key.
      See Also:
        Constant Field Values

    - #### TRACKING_TYPE

          public static final java.lang.String TRACKING_TYPE

      The type of the tracking event. `TrackingType` `Ad.TrackingType`
      See Also:
        Constant Field Values

    - #### SSAI_AD

          public static final java.lang.String SSAI_AD

      The property key for the SSAI `Ad` value.
      See Also:
        Constant Field Values

    - #### VAST_VIDEO_CLICKS

          public static final java.lang.String VAST_VIDEO_CLICKS

      The property key for the VAST VideoClicks data binding.
      See Also:
        Constant Field Values

    - #### VMAP_AD_BREAK

          public static final java.lang.String VMAP_AD_BREAK

      The VMAP AdBreak property key.
      See Also:
        Constant Field Values

    - #### VMAP_AD_SEGMENT

          public static final java.lang.String VMAP_AD_SEGMENT

      The VMAP AdSegment property key.
      See Also:
        Constant Field Values

    - #### VMAP_ERRORS

          public static final java.lang.String VMAP_ERRORS

      The VMAP parsing and validation error messages property key.
      See Also:
        Constant Field Values

    - #### VMAP_EVENT_MAP

          public static final java.lang.String VMAP_EVENT_MAP

      The VMAP event map property key providing access to the list of events associated with a playhead position.
      See Also:
        Constant Field Values

    - #### VMAP_RESPONSE

          public static final java.lang.String VMAP_RESPONSE

      The VMAP response property key to Java data bindings.
      See Also:
        Constant Field Values

    - #### VMAP_SEGMENT_INDEX

          public static final java.lang.String VMAP_SEGMENT_INDEX

      The VMAP segment index property key.
      See Also:
        Constant Field Values

    - #### VMAP_TIMELINE

          public static final java.lang.String VMAP_TIMELINE

      The VMAP timeline property key encapsulating segment and event suppport.
      See Also:
        Constant Field Values

    - #### STITCHED_POSITION

          public static final java.lang.String STITCHED_POSITION

      The stitched position.
      See Also:
        Constant Field Values

    - #### CREATIVE_CLICKS

          public static final java.lang.String CREATIVE_CLICKS

      Event propety containing the `CreativeClicks`.
      See Also:
        Constant Field Values